summaryrefslogtreecommitdiffstats
path: root/desktop/cairo-dock
diff options
context:
space:
mode:
author Robert Goodall <cmd.line.geek@gmail.com>2011-03-06 03:26:51 +0000
committer Robby Workman <rworkman@slackbuilds.org>2011-03-08 12:14:31 -0600
commite309e4a622a722a88450dc5986607a2065866c31 (patch)
tree10e449e5f7279bbe9a716dcd2c2d3c33dfc3cf23 /desktop/cairo-dock
parent1cc202a987642d414f84a6dab763225060714c1f (diff)
downloadslackbuilds-e309e4a622a722a88450dc5986607a2065866c31.tar.gz
slackbuilds-e309e4a622a722a88450dc5986607a2065866c31.tar.xz
desktop/cairo-dock: Added. a light and eye-candy dock.
Signed-off-by: Michiel van Wessem <michiel@slackbuilds.org>
Diffstat (limited to 'desktop/cairo-dock')
-rw-r--r--desktop/cairo-dock/README9
-rw-r--r--desktop/cairo-dock/cairo-dock.Slackbuild98
-rw-r--r--desktop/cairo-dock/cairo-dock.info10
-rw-r--r--desktop/cairo-dock/doinst.sh3
-rw-r--r--desktop/cairo-dock/slack-desc19
5 files changed, 139 insertions, 0 deletions
diff --git a/desktop/cairo-dock/README b/desktop/cairo-dock/README
new file mode 100644
index 0000000000..9d5a9cf82e
--- /dev/null
+++ b/desktop/cairo-dock/README
@@ -0,0 +1,9 @@
+cairo-dock is a unified interface to your desktop : it provides a dock,
+a taskbar, and many applets that can be placed either inside the dock
+or on your desktop, at your convenience!
+
+It uses Cairo/OpenGL to render nice graphics with hardware acceleration,
+which makes it very smooth and low on CPU. It's highly customisable and
+comes with a lot of ready-to-use themes.
+
+This requires gtkglext
diff --git a/desktop/cairo-dock/cairo-dock.Slackbuild b/desktop/cairo-dock/cairo-dock.Slackbuild
new file mode 100644
index 0000000000..958255b970
--- /dev/null
+++ b/desktop/cairo-dock/cairo-dock.Slackbuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for cairo-dock
+# Written by Robert Goodall (cmd.line.geek@gmail.com)
+# Official Site: http://www.glx-dock.org/
+
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Set variables
+PRGNAM=cairo-dock
+VERSION=${VERSION:-2.2.0_4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRC_VERSION=$(printf $VERSION | tr _ -)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$SRC_VERSION
+tar -xvf $CWD/$PRGNAM-$SRC_VERSION.tar.gz || exit 1
+cd $PRGNAM-$SRC_VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release .
+
+make VERBOSE=1 || exit 1
+make install DESTDIR=$PKG || exit
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Move manpages in the right place
+mv $PKG/usr/share/man $PKG/usr
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog INSTALL LGPL-2 LICENSE copyright $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.Slackbuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.Slackbuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG${PKGTYPE:-.tgz}
diff --git a/desktop/cairo-dock/cairo-dock.info b/desktop/cairo-dock/cairo-dock.info
new file mode 100644
index 0000000000..dad84e8b96
--- /dev/null
+++ b/desktop/cairo-dock/cairo-dock.info
@@ -0,0 +1,10 @@
+PRGNAM="cairo-dock"
+VERSION="2.2.0_4"
+HOMEPAGE="http://www.glx-dock.org"
+DOWNLOAD="http://launchpad.net/cairo-dock-core/2.2/2.2.0/+download/cairo-dock-2.2.0-4.tar.gz"
+MD5SUM="5905fed8aaee9b6056a8e2f83a8c4f3f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Robert Goodall"
+EMAIL="cmd.line.geek@gmail.com"
+APPROVED="Michiel van Wessem"
diff --git a/desktop/cairo-dock/doinst.sh b/desktop/cairo-dock/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/desktop/cairo-dock/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/desktop/cairo-dock/slack-desc b/desktop/cairo-dock/slack-desc
new file mode 100644
index 0000000000..7faadd6328
--- /dev/null
+++ b/desktop/cairo-dock/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |----handy-ruler----------------------------------------------------|
+cairo-dock: cairo-dock (a light and eye-candy dock)
+cairo-dock:
+cairo-dock: Cairo-Dock is a unified interface to your desktop : it provides a
+cairo-dock: dock, a taskbar, and many applets that can be placed either inside
+cairo-dock: the dock or on your desktop, at your convenience! It uses
+cairo-dock: Cairo/OpenGL to render nice graphics with hardware acceleration,
+cairo-dock: which makes it very smooth and low on CPU. It's highly customisable
+cairo-dock: and comes with a lot of ready-to-use themes.
+cairo-dock:
+cairo-dock: homepage: http://www.glx-dock.org
+cairo-dock: